package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.User;
import com.sa.ibiz.demo.demo.service.dto.UserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[User] 服务对象接口
 */
public interface UserService extends IService<User>{

	boolean update(User et);
		User get(User et);
	boolean checkKey(User et);
	boolean getDraft(User et);
	boolean remove(User et);
	boolean create(User et);
    List<User> listDefault(UserSearchFilter filter) ;
	Page<User> searchDefault(UserSearchFilter filter);
	/**	 实体[User] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }